import { IgxColumnActionsBaseDirective } from './column-actions-base.directive';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxColumnActionsComponent } from './column-actions.component';
export declare class IgxColumnHidingDirective extends IgxColumnActionsBaseDirective {
    protected columnActions: IgxColumnActionsComponent;
    constructor(columnActions: IgxColumnActionsComponent);
    /**
     * @hidden @internal
     */
    checkAllLabel: string;
    /**
     * @hidden @internal
     */
    uncheckAllLabel: string;
    /**
     * @hidden @internal
     */
    checkAll(): void;
    /**
     * @hidden @internal
     */
    uncheckAll(): void;
    /**
     * @hidden @internal
     */
    actionEnabledColumnsFilter: (c: any) => boolean;
    /**
     * @hidden @internal
     */
    columnChecked(column: IgxColumnComponent): boolean;
    /**
     * @hidden @internal
     */
    toggleColumn(column: IgxColumnComponent): void;
}
